本文整理汇总了C#中ModelDoc2.GetEquationMgr方法的典型用法代码示例。如果您正苦于以下问题:C# ModelDoc2.GetEquationMgr方法的具体用法?C# ModelDoc2.GetEquationMgr怎么用?C# ModelDoc2.GetEquationMgr使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类ModelDoc2
的用法示例。
在下文中一共展示了ModelDoc2.GetEquationMgr方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: SetObjectValue
//.........这里部分代码省略.........
outC.Select(component2 => component2.IGetModelDoc()).Any(
m => m != null && m.get_CustomInfo2("", "swrfIsCut") == "Yes");
}
}
int tmp = k;
if (k == (int)swComponentSuppressionState_e.swComponentFullyResolved)
tmp = swComp.SetSuppression2(k);
if (noArtIfSuppressed)
{
//���� ���� ������, �� ������ �����..
//���� ���� ��������- �� �������� ��..
ModelDoc2 outModel;
if (GetModelByName(inModel, inName, false, out outModel, true))
{
if (k == (int)swComponentSuppressionState_e.swComponentSuppressed)
{
//������� �������
RenameCustomProperty(outModel, string.Empty, "Articul", "Noarticul");
}
else if (k == (int)swComponentSuppressionState_e.swComponentFullyResolved)
{
//����� �������
RenameCustomProperty(outModel, string.Empty, "Noarticul", "Articul");
}
}
}
if (k == (int)swComponentSuppressionState_e.swComponentSuppressed)
tmp = swComp.SetSuppression2(k);
k = tmp;
#region ��������� ���������
var equMrg = inModel.GetEquationMgr();
if (equMrg != null)
{
var outList = new LinkedList<Component2>();
if (GetComponents(inModel.IGetActiveConfiguration().IGetRootComponent2(), outList,
true,
false))
{
bool notSuppComp =
outList.All(
component2 =>
!swComp.IsSuppressed() ||
swComp.GetPathName() != component2.GetPathName() ||
component2.IsSuppressed());
for (int i = 0; i < inModel.GetEquationMgr().GetCount(); i++)
{
if (equMrg.Equation[i].Contains(
Path.GetFileNameWithoutExtension(swComp.GetPathName())))
{
if ((equMrg.get_Suppression(i) ? 0 : 1) != inVal)
{
equMrg.set_Suppression(i, inVal == 0 && notSuppComp);
}
}
}
}
}
#endregion
#region ��������� ���������
if (isCavity)